<?php
if (!defined('_ECRIRE_INC_VERSION')){
	return;
}


function tester_autorisation($faire, $type, $qui, $secret = true) {
	include_spip('inc/autoriser');
	if (autoriser('webmestre', null, null, $qui, null)) {
		return true;
	}

	if ($secret) {
		if ($qui['boss'] === "oui") {
			return true;
		}
		if (pipeline('super_autorisation',$qui)) {
			return true;
		}
	}

	$Tauts = [];
	if (!empty($qui['autorisations'])) {
		$Tauts = json_decode($qui['autorisations'],true);
	}

	if (array_key_exists($type, $Tauts)) {
		if (in_array($faire, $Tauts[$type])) {
			return true;
		}
	}
	return false;
}
