<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function formulaires_editer_autorisations_charger_dist($id_auteur=0, $redirect=''){
	$valeurs = ['auth_modele' => _AUTH_MODELE];

	if (intval($id_auteur)) {
		$valeurs["id_auteur"] = intval($id_auteur);
	}

	return $valeurs;
}

function formulaires_editer_autorisations_verifier_dist($id_auteur=0, $redirect=''){
	$erreurs = array();
	return $erreurs;
}

function formulaires_editer_autorisations_traiter_dist($id_auteur=0, $redirect=''){
	include_spip('inc/session');

	$retour = array();

	$Tdisabled  = _request('Tdisabled');
	$Tid_auteur = _request('Tid_auteur');

	$id_auteur_dissocier = _request('dissocier_modele');
	if (intval($id_auteur_dissocier)) {
		sql_updateq('spip_auteurs',['aut_nom' => ''], 'id_auteur='.intval($id_auteur_dissocier));

		$auteur = sql_fetsel('*', 'spip_auteurs','id_auteur='.intval($id_auteur_dissocier));
		actualiser_sessions($auteur);
	}

	foreach ($Tid_auteur as $id) {
		$Tautorisations = [];

		if (in_array($id, $Tdisabled)) {
			continue;
		}

		$Tauths = _request('id-' . $id);
		if (!empty($Tauths)) {
			foreach ($Tauths as $valeur) {
				$Tautorisations[key($valeur)][]= $valeur[key($valeur)];
			}
		}
		$set = ['autorisations' => json_encode($Tautorisations)];
		sql_updateq('spip_auteurs', $set, 'id_auteur='.intval($id));

		// on recalcul la session
		$auteur = sql_fetsel('*', 'spip_auteurs','id_auteur='.intval($id));
		actualiser_sessions($auteur);

		$retour['message_ok'] = "Enregistrement validé";
	}

	include_spip('inc/invalideur');
	suivre_invalideur("id='id_auteur/$id'");


	if ($redirect) {
		$retour['redirect'] = $redirect;
	}

	return $retour;
}
